#!/bin/sh

SWAPMUL=1
ROOT_SIZE=15   # In Gb
BOOT_SIZE=1    # In Gb
HOME_SIZE=0.5  # In Gb

# Swap == RAM
mem=$[`grep MemTotal /proc/meminfo | sed 's/[^0-9]//g'`*$SWAPMUL*2]

# Max size of swap is 16 Gb
[ $mem -ge 32948992 ] && mem=32948992

root_size="$(echo "$ROOT_SIZE*2097152"|bc)"
boot_size="$(echo "$BOOT_SIZE*2097152"|bc)"
home_size="$(echo "$HOME_SIZE*2097152"|bc)"

{
cat << _EOF_
((workstation
  (title . "Setup for workstation")
  (action . trivial)
  (actiondata
_EOF_
if [ `arch` = 'e2k' ]; then
# see also https://bugzilla.altlinux.org/34600
cat << _EOF_
               ("/boot" (size $boot_size . $boot_size ) (fsim . "Ext2/3") (methods plain))
_EOF_
fi
cat << _EOF_
               ("swap" (size $mem . $mem) (fsim . "SWAPFS") (methods plain))
               ("/" (size $root_size . $root_size ) (fsim . "Ext2/3") (methods plain))
               ("/home" (size $home_size . #t) (fsim . "Ext2/3") (methods  plain))))
	       )
_EOF_
} > /var/cache/alterator/vm-profile.scm
